// Copyright © 2024 ESWIN. All rights reserved.
//
// Beijing ESWIN Computing Technology Co., Ltd and its affiliated companies ("ESWIN") retain
// all intellectual property and proprietary rights in and to this software. Except as expressly
// authorized by ESWIN, no part of the software may be released, copied, distributed, reproduced,
// modified, adapted, translated, or created derivative work of, in whole or in part.

#include "es_ai_inference.h"

int main(int argc, char **argv)
{
    int32_t ret;
    EsAiInference esAiInference;

    ret = esAiInference.inputParser(argc, argv);
    if (ret != ES_SUCCESS) {
        return ret;
    }

    ret = esAiInference.startRunModel();
    if (ret != ES_SUCCESS) {
        return ret;
    }

    esAiInference.handleOutput();

    return ES_SUCCESS;
}