// Copyright © 2023 ESWIN. All rights reserved.
//
// Beijing ESWIN Computing Technology Co., Ltd and its affiliated companies ("ESWIN") retain
// all intellectual property and proprietary rights in and to this software. Except as expressly
// authorized by ESWIN, no part of the software may be released, copied, distributed, reproduced,
// modified, adapted, translated, or created derivative work of, in whole or in part.

#ifndef NPU_TEST_UTILS_H
#define NPU_TEST_UTILS_H
#include <vector>
#include <string>

std::vector<std::string> listSubDirectory(std::string dir);
int32_t extractModelFiles(std::vector<std::string> &modelDirs, std::vector<std::string> &modelFiles);
std::string extractConfigFiles(std::string &configDir, std::string pattern);
std::vector<std::string> split(std::string input, char delimiter);

#endif // NPU_TEST_UTILS_H