// Copyright (c) 2023 ESWIN Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef DATA_COMPARE_H_
#define DATA_COMPARE_H_
#include <cstdint>
#include "es_nn_common.h"

#ifdef COS_DISTANCE
#define DEFAULT_TOLERANCE 0.05
#else
#define DEFAULT_TOLERANCE 0.009
#endif

bool dataCompare(const void *data, const void *refData, ES_DATA_PRECISION_E dataType, size_t dataLen, float tolerance);
#endif  // DATA_COMPARE_H_
