#ifndef TEST_COMMON_H
#define TEST_COMMON_H
#include <stdint.h>

typedef enum  {
	OP_U8 = 0,  // uint8
	OP_S8,      // signed int 8
	OP_U16,     //
	OP_S16,     //
	OP_U32,     //
	OP_S32,     //
	OP_U64,     //
	OP_S64,     //
	OP_FP16,    //
	OP_FP32,    //
	OP_FP64,    //
}MODEL_DATA_TYPE_E;

int str2int(char * str);
void * readBinFile(const char *fname, size_t *size);
void dmabuf_statistic_check(void);
int parseConfigFile(const char *file);
MODEL_DATA_TYPE_E parseModelDataType (const char *modelPath);
float float16ToFloat(short *pfltInt16);
bool isDirectoryExists(const char* path);
bool isFileExists(const char* filename);

#endif

